#include <Arduino.h>
#include <U8g2lib.h>

#ifdef U8X8_HAVE_HW_SPI
#include <SPI.h>
#endif
#ifdef U8X8_HAVE_HW_I2C
#include <Wire.h>
#endif

#define RES 10
#define DC 9
#define CS 8

uint16_t i = 0;

//HW SPI – Arduino Uno
//U8G2_SSD1306_128X64_NONAME_1_4W_HW_SPI u8g2(U8G2_R0, /* cs=*/ 10, /* dc=*/ 8, /* reset=*/ 9);
U8G2_SSD1309_128X64_NONAME0_F_4W_HW_SPI u8g2(U8G2_R0, CS, DC, RES);

//HW SPI – Wemos D1 R1 (ESP8266)
//U8G2_SSD1306_128X64_NONAME_F_4W_HW_SPI u8g2(U8G2_R0, /* cs=*/ 15, /* dc=*/ 0, /* reset=*/ 2);

//HW I2C – Arduino Uno
//U8G2_SSD1306_128X64_NONAME_F_HW_I2C u8g2(U8G2_R0, /* reset=*/ U8X8_PIN_NONE);

//HW I2C – Wemos D1 R1 (ESP8266)
//U8G2_SSD1306_128X64_NONAME_F_HW_I2C u8g2(U8G2_R0, /* reset=*/ U8X8_PIN_NONE, /* clock=*/ 5, /* data=*/ 4);  

void setup(void) {
  u8g2.begin();
  u8g2.clearBuffer();          // clear the internal memory
  u8g2.setFont(u8g2_font_ncenB08_tr); // choose a suitable font
}

void loop(void) {
  u8g2.drawStr(0,10,"Arduino navody");  //nastaveni souradnic, řetězec znaků, který má být zobrazen
  u8g2.drawStr(0,25,"Dratek.cz"); 
  u8g2.sendBuffer(); //vykreslit data na displej
  delay(1000);
  u8g2.clearBuffer(); //vyčištění paměti
  u8g2.clearDisplay(); //vyčištění displeje

  u8g2.drawStr(0,10,"Pocet obrazovek: "); // write something to the internal memory
  u8g2.setCursor(0,25); //nastavení souřadnic kurzoru
  u8g2.print("Screen: "); u8g2.println(i); // jiná forma výpisu
  u8g2.sendBuffer();  //vykreslit data na displej
  delay(1000);
  u8g2.clearBuffer(); //vyčištění paměti
  u8g2.clearDisplay(); //vyčištění displeje
  i++;
}
